module Chu2.Handler.SnapServer where

open import Chu2 using (Handler)

private 
  postulate
    Integer : Set
    onPort_run' : Integer → Handler

{-# BUILTIN       INTEGER Integer #-}
{-# COMPILED_TYPE Integer Integer #-}

{-# IMPORT Chu2.Handler.SnapServerFFI #-}
{-# COMPILED onPort_run' Chu2.Handler.SnapServerFFI.onPort_run #-}

open import Data.Nat using (ℕ)

primitive
  primNatToInteger : ℕ -> Integer

onPort_run : ℕ → Handler
onPort_run port = onPort_run' (primNatToInteger port)


